Record Server Rpc Activity
Record Server Rpc Activity. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Record Server Rpc Activity. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/activity.recordServerRpcActivity" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "serverId": "string", "rpcMethod": "string", "outcome": "succeeded" }'{ "result": { "data": { "recorded": true, "reason": null } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Record Player Admin Audit POST
Record Player Admin Audit. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Update Alert Destination POST
Update Alert Destination. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.